import request from '@/utils/request'

// 查询80R设备规格参数列表
export function listSpec80r(query) {
  return request({
    url: '/system/spec80r/list',
    method: 'get',
    params: query
  })
}

// 查询80R设备规格参数详细
export function getSpec80r(id) {
  return request({
    url: '/system/spec80r/' + id,
    method: 'get'
  })
}

// 新增80R设备规格参数
export function addSpec80r(data) {
  return request({
    url: '/system/spec80r',
    method: 'post',
    data: data
  })
}

// 修改80R设备规格参数
export function updateSpec80r(data) {
  return request({
    url: '/system/spec80r',
    method: 'put',
    data: data
  })
}

// 删除80R设备规格参数
export function delSpec80r(id) {
  return request({
    url: '/system/spec80r/' + id,
    method: 'delete'
  })
}
